# UpperArrowWidget Class Reference

`#include <TFEditWidget.h>`

Collaboration diagram for UpperArrowWidget:
[legend]

List of all members.

## Public Member Functions
| UpperArrowWidget (QWidget *parent=NULL)
virtual | ~UpperArrowWidget (void)
void | initialize (TransferFunction *tf)
int | getSelectedElement ()
## Protected Member Functions
virtual void | mouseDoubleClickEvent (QMouseEvent *event)
virtual void | mousePressEvent (QMouseEvent *event)
virtual void | paintEvent (QPaintEvent *event)
virtual void | mouseMoveEvent (QMouseEvent *event)
virtual void | mouseReleaseEvent (QMouseEvent *event)
virtual void | keyPressEvent (QKeyEvent *event)
## Private Attributes
TransferFunction * | m_tf
int | m_selectedElement
bool | m_isMoving

## Constructor & Destructor Documentation

UpperArrowWidget::UpperArrowWidget | ( | QWidget * | parent = `NULL` | ) |

UpperArrowWidget::~UpperArrowWidget | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int UpperArrowWidget::getSelectedElement | ( |  | ) |

void UpperArrowWidget::initialize | ( | TransferFunction * | tf | ) |

void UpperArrowWidget::keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

void UpperArrowWidget::mouseDoubleClickEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

void UpperArrowWidget::mouseMoveEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

void UpperArrowWidget::mousePressEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

void UpperArrowWidget::mouseReleaseEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

void UpperArrowWidget::paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

## Member Data Documentation

bool UpperArrowWidget::m_isMoving`[private]`

int UpperArrowWidget::m_selectedElement`[private]`

TransferFunction* UpperArrowWidget::m_tf`[private]`

The documentation for this class was generated from the following files:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/TFEditWidget.h
- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/src/TFEditWidget.cpp